Skip to main content
GET
App Cost Breakdown

Authorizations

Authorization
string
header
required

A floo_ API key.

Headers

X-Floo-Org-Id
string<uuid>

Organization to act in; defaults to the one joined most recently.

Path Parameters

app_id
string<uuid>
required

Query Parameters

period
string
default:current_billing_period

Period to query: "current_billing_period", "current_month", "last_month", or "last_7d".

Response

Successful Response

Per-app cost breakdown response.

app_id
string<uuid>
required
period
CostBreakdownPeriod · object
required

Time period for a cost breakdown query.

total_cost_usd
number
required
services
ServiceCostBreakdown · object[]
required
managed_resources
ManagedResourceCostBreakdown · object[]
unattributed_cost_usd
number
default:0